%global momorel 2

Name:           perl-WWW-Mechanize
Version:        1.64
Release:        %{momorel}m%{?dist}
Summary:        WWW::Mechanize Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WWW-Mechanize/
Source0:        http://www.cpan.org/authors/id/P/PE/PETDANCE/WWW-Mechanize-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-HTML-Parser >= 3.33
BuildRequires:  perl-HTTP-Server-Simple >= 0.35
BuildRequires:  perl-Test-Simple >= 0.34
BuildRequires:  perl-Test-Warn >= 0.11
BuildRequires:  perl-URI >= 1.36
BuildRequires:  perl-libwww-perl >= 5.834
Requires:       perl-HTML-Parser >= 3.33
Requires:       perl-HTTP-Server-Simple >= 0.35
Requires:       perl-Test-Simple >= 0.34
Requires:       perl-Test-Warn >= 0.11
Requires:       perl-URI >= 1.36
Requires:       perl-libwww-perl >= 5.834
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
WWW::Mechanize Perl module

%prep
%setup -q -n WWW-Mechanize-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes perlcriticrc
%{_bindir}/mech-dump
%{perl_vendorlib}/WWW/Mechanize
%{perl_vendorlib}/WWW/Mechanize.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.64-2m)
- full rebuild for mo7 release

* Fri Jul  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.63-1m)
- update to 1.63

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.62-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.62-2m)
- rebuild against perl-5.12.0

* Sun Apr 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.62-1m)
- update to 1.62
- Specfile re-generated by cpanspec 1.78.

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.60-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Aug 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-1m)
- update to 1.60

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.58-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.58-1m)
- update to 1.58

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.54-2m)
- rebuild against rpm-4.6

* Mon Jan 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.54-1m)
- update to 1.54

* Wed Nov 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.52-1m)
- update to 1.52

* Tue Oct 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.50-1m)
- update to 1.50

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.34-2m)
- rebuild against gcc43

* Mon Dec 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-1m)
- update to 1.34

* Wed Oct 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.32-1m)
- update to 1.32

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.30-1m)
- update to 1.30

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.20-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.20-1m)
- spec file was autogenerated
